# $Revision: 1.21 $, $Date: 2011/08/31 18:31:09 $
Summary:	tcptrack - console based application which displays information about TCP connections
Summary(pl.UTF-8):	tcptrack - konsolowa aplikacja pokazująca informacje o połączeniach TCP
Name:		tcptrack
Version:	1.4.0
Release:	2
License:	GPL v2
Group:		Applications/Networking
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	c177a4f170eefb2c3719965694496228
Patch0:		%{name}-gcc4.patch
Patch1:		%{name}-Werror.patch
URL:		http://www.rhythm.cx/~steve/devel/tcptrack/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tcptrack is a sniffer which displays information about TCP connections
it sees on a network interface. It passively watches for connections
on the network interface, keeps track of their state and displays a
list of connections in a manner similar to the Unix 'top' command. It
displays source and destination addresses and ports, connection state,
idle time, and bandwidth usage.

%description -l pl.UTF-8
tcptrack jest sniferem pokazującym informacje o połączeniach TCP,
które widzi na żądanym interfejsie. Wyświetla informacje na temat
stanu połączenia w formie listy podobnej do programu top. Pokazuje
adres źródłowy i docelowy, porty, stan połączenia, czas bezczynności i
zużycie pasma.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoheader}
#%{__autoconf}
#%{__automake}
CXXFLAGS="%{rpmcflags} -fexceptions -I/usr/include/ncurses"
%configure

%{__make} \
	LDADD="-ltinfo"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcptrack.spec,v $
Revision 1.21  2011/08/31 18:31:09  arekm
- release 2

Revision 1.20  2011/07/01 10:12:27  marti
- source updates

Revision 1.19  2011/07/01 10:05:36  marti
- no original source avaliable

Revision 1.18  2011/07/01 09:45:28  marti
- up to 1.4.0

Revision 1.17  2011/01/06 20:39:51  sparky
- hack to fix build with --no-add-needed ldflag (configure is
  completely broken)

Revision 1.16  2010/04/03 17:28:46  glen
- release 3

Revision 1.15  2008/10/03 22:54:13  pluto
- build fixed, release 2.

Revision 1.14  2008-02-08 23:20:50  arekm
- up to 1.3.0

Revision 1.13  2008-02-07 09:54:58  ankry
- unix -> Unix

Revision 1.12  2007-07-29 12:22:13  gotar
- upgraded to 1.2.0

Revision 1.11  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.9  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.8  2005/03/26 22:53:01  arekm
- up to 1.1.5

Revision 1.7  2005/02/14 08:41:41  adamg
- %%doc some more files - from Marcin Baniasiuk (mailinggroup (at) o2.pl)

Revision 1.6  2004/12/04 00:31:52  zbyniu
- BR: autoconf, automake, libstdc++-devel

Revision 1.5  2004/11/03 22:15:17  ankry
- typo

Revision 1.4  2004/11/03 21:25:36  qboosh
- cosmetics

Revision 1.3  2004/11/03 13:05:40  adamg
- grr, really fix typo

Revision 1.2  2004/11/03 13:04:16  adamg
- added cvs keywords (Revision and Id)
- shortened descriptions not to exceed 70 column
- typo in pl description
- cosmetics

Revision 1.1  2004/11/03 08:43:55  krolik
- initial rel.
